/*
  TextDisplay.h - Buffered alphanumeric display for a ST7565 based 12864 LCD.
  Thomas Baum, th.baum@online.de, 12.09.2014
*/

#ifndef _TEXTDISPLAY_H_
#define _TEXTDISPLAY_H_

#include "Display.h"

#if ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

class TextDisplay {
  
  public:
    TextDisplay() {};
    void init(byte contrast);
    void println(const char* string);
    void print(const byte string);
    void clear(void);
    byte getLastCharPosition(byte line);
    void writeTextBuffer();
    
  private:
    Display lcd;
    byte textBuffer[8][22];
    byte curserPositionY, curserPositionX;
};

#endif

